Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #13

[crossfade] Add silence detection
December 21, 2011 14:39 - Artem S. Tashkinov

Status: Rejected Start date: December 21, 2011
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/crossfade Estimated time: 0.00 hour

Target version:

Affects version:

Description

Currently it works by specifying a crossfade interval without taking into consideration the sound strength at the end of a current song
and the beginning of a consequent song. | have quite a lot of songs which have up to 5 seconds of silence at the end of them, others
have a considerable amount of silence at the beginning. Other songs have no silence at all, so there's no way | can specify the right

interval to crossfade.

The only way to solve this problem is to preread the specified amount of seconds of audio data, calculate sound level and if it falls
below a given value, crossfade should be called into action.

It's already implemented by http://www.eisenlohr.org/xmms-crossfade/ - | hope this plugin will be included into the future Audacious
releases.

History

#1 - December 21, 2011 18:05 - John Lindgren
- Subject changed from Make crossfade plugin intelligent to [crossfade] Add silence detection

- Category set to plugins/crossfade

#2 - April 11, 2013 03:28 - John Lindgren

- Status changed from New to Rejected

If someone wants to port this plugin to Audacious, | will look at it. Closing until then.
